// Per-pixel data input to the pixel shader
struct PixelShaderInput
{
    float4 clipSpaceOutput : SV_POSITION;
    float4 sceneSpaceOutput : SCENE_POSITION;
    float3 color : COLOR0;
};

// Called for each pixel.
float4 main(PixelShaderInput input) : SV_TARGET
{
    // Simply return color with opacity of 1
    return float4(input.color, 1);
}